package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.model.doc.OperationDiscussionDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @ClassName : FIRP0193
 * @Description :手术及操作名称填写不全
 * @Author : 胡敬
 * @Date: 2020-03-16 20:28
 */
@Component
public class FIRP0193 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status = "0";
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        List<OperationDiscussionDoc> operationDiscussionDocs = inputInfo.getOperationDiscussionDocs();
        if(firstPageRecordDoc != null && operationDiscussionDocs.size()>0 ){
            Map<String, Object> firstPageRecordDocStructureMap = firstPageRecordDoc.getStructureExtMap();
            OperationDiscussionDoc operationDiscussionDoc = operationDiscussionDocs.get(0);
            Map<String, String> structureMap = operationDiscussionDoc.getStructureMap();
            String opertaion = structureMap.get("手术方式");
            List<Map<String, String>> mapList = (List<Map<String, String>>) firstPageRecordDocStructureMap.get(Content.operative_information);
            if(mapList != null && mapList.size()>0){
                for (Map<String, String> op :mapList) {
                    String oName = op.get(Content.operative_name);
                    if(StringUtils.isNotEmpty(opertaion) && !opertaion.contains(oName)){
                        status = "-1";
                        break;
                    }
                }
            }

        }

    }
}