package com.lantone.qc.kernel.structure.ai.process;

import com.alibaba.fastjson.JSONObject;
import com.lantone.qc.kernel.structure.ai.model.EntityEnum;
import com.lantone.qc.kernel.structure.ai.model.Lemma;
import com.lantone.qc.pub.model.entity.*;
import com.lantone.qc.pub.model.label.MaritalLabel;
import com.lantone.qc.pub.model.label.TreatPlanLabel;

import java.util.List;

/**
 * @ClassName : EntityProcessTreatPlan
 * @Description : 首次病程录--诊疗计划
 * @Author : 楼辉荣
 * @Date: 2020-03-19 15:45
 */
public class EntityProcessTreatPlan extends EntityProcess {
    public TreatPlanLabel extractEntity(JSONObject aiOut) {
        TreatPlanLabel treatPlanLabel = new TreatPlanLabel();
        //护理级别
        List<Lemma> nursingLevelLemmas = createEntityTree(aiOut, EntityEnum.NURSINGLEVEL.toString());
        for (Lemma lemma :nursingLevelLemmas) {
            NursingLevel nursingLevel = new NursingLevel();
            nursingLevel.setName(lemma.getText());
            treatPlanLabel.setNursingLevel(nursingLevel);
        }
        //药品
        List<Lemma> medicineLemmas = createEntityTree(aiOut, EntityEnum.DRUG.toString());
        for (Lemma lemma :medicineLemmas) {
            Medicine medicine = new Medicine();
            medicine.setName(lemma.getText());
            treatPlanLabel.setMedicine(medicine);
        }
        return treatPlanLabel;
    }
}