package com.lantone.qc.trans.changx;

import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.model.vo.QueryVo;
import com.lantone.qc.trans.DocTrans;

/**
 * @ClassName : TaiZhouDocTrans
 * @Description :
 * @Author : 楼辉荣
 * @Date: 2020-03-03 19:47
 */
public class ChangxDocTrans extends DocTrans {

    @Override
    protected InputInfo extract(QueryVo queryVo) {
        InputInfo inputInfo = new InputInfo();
        for (MedrecVo i : queryVo.getMedrec()) {
            if (i.getTitle().equals("入院记录")) {
                BeHospitalizedDocTrans beHospitalizedDocTrans = new BeHospitalizedDocTrans();
                inputInfo.setBeHospitalizedDoc(beHospitalizedDocTrans.extract(i));
            }
            if (i.getTitle().equals("输血/血制品病程记录")) {
                ChangxClinicalBloodDocTrans clinicalBloodDocTrans = new ChangxClinicalBloodDocTrans();
                inputInfo.setClinicalBloodDocs(clinicalBloodDocTrans.extract(i));
            }
            if (i.getTitle().equals("会诊记录")) {
                ChangxConsultationDocTrans consultationDocTrans = new ChangxConsultationDocTrans();
                inputInfo.setConsultationDocs(consultationDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡病例讨论记录")) {
                ChangxDeathCaseDiscussDocTrans deathCaseDiscussDocTrans = new ChangxDeathCaseDiscussDocTrans();
                inputInfo.setDeathCaseDiscussDoc(deathCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("死亡记录")) {
                ChangxDeathRecordDocTrans deathRecordDocTrans = new ChangxDeathRecordDocTrans();
                inputInfo.setDeathRecordDoc(deathRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("疑难病例讨论记录")) {
                ChangxDifficultCaseDiscussDocTrans difficultCaseDiscussDocTrans = new ChangxDifficultCaseDiscussDocTrans();
                inputInfo.setDifficultCaseDiscussDocs(difficultCaseDiscussDocTrans.extract(i));
            }
            if (i.getTitle().equals("值班交接制度")) {
                ChangxDutyShiftSystemDocTrans dutyShiftSystemDocTrans = new ChangxDutyShiftSystemDocTrans();
                inputInfo.setDutyShiftSystemDocs(dutyShiftSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("首次病程录")) {
                ChangxFirstCourseRecordDocTrans firstCourseRecordDocTrans = new ChangxFirstCourseRecordDocTrans();
                inputInfo.setFirstCourseRecordDoc(firstCourseRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("病案首页")) {
                ChangxFirstPageRecordDocTrans firstPageRecordDocTrans = new ChangxFirstPageRecordDocTrans();
                inputInfo.setFirstPageRecordDoc(firstPageRecordDocTrans.extract(i));
            }
            if (i.getTitle().equals("出院小结")) {
                ChangxLeaveHospitalDocTrans leaveHospitalDocTrans = new ChangxLeaveHospitalDocTrans();
                inputInfo.setLeaveHospitalDoc(leaveHospitalDocTrans.extract(i));
            }
            if (i.getTitle().equals("分级护理制度")) {
                ChangxNursingSystemDocTrans nursingSystemDocTrans = new ChangxNursingSystemDocTrans();
                inputInfo.setNursingSystemDoc(nursingSystemDocTrans.extract(i));
            }
            if (i.getTitle().equals("术后首次病程及谈话记录")) {
                ChangxOperationDiscussionDocTrans operationDiscussionDocTrans = new ChangxOperationDiscussionDocTrans();
                inputInfo.setOperationDiscussionDocs(operationDiscussionDocTrans.extract(i));
            }
            if (i.getTitle().equals("术前讨论、术前小结")) {
                ChangxPreoperativeDiscussionDocTrans preoperativeDiscussionDocTrans = new ChangxPreoperativeDiscussionDocTrans();
                inputInfo.setPreoperativeDiscussionDocs(preoperativeDiscussionDocTrans.extract(i));
            }
            if (i.getTitle().equals("抢救记录")) {
                ChangxRescueDocTrans rescueDocTrans = new ChangxRescueDocTrans();
                inputInfo.setRescueDocs(rescueDocTrans.extract(i));
            }
            if (i.getTitle().equals("查房记录")) {
                ChangxThreeLevelWardDocTrans threeLevelWardDocTrans = new ChangxThreeLevelWardDocTrans();
                inputInfo.setThreeLevelWardDocs(threeLevelWardDocTrans.extract(i));
            }
        }
        return inputInfo;
    }

}