package com.lantone.qc.trans.changx;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.OperationDiscussionDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.List;
import java.util.Map;

/**
 * @Description: 术后首次病程及谈话记录文档生成
 * @author: rengb
 * @time: 2020/3/17 13:26
 */
public class ChangxOperationDiscussionDocTrans extends ModelDocTrans {

    @Override
    public List<OperationDiscussionDoc> extract(MedrecVo medrecVo) {
        List<OperationDiscussionDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            Map<String, String> structureMap =
                    Preproc.extract_doc_pub(
                            false,
                            ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.operationDiscussion : medrecVo.getLabel(),
                            content
                    );

            OperationDiscussionDoc operationDiscussionDoc = ModelDocGenerate.operationDiscussionDocGen(structureMap);
            operationDiscussionDoc.setText(content);
            retList.add(operationDiscussionDoc);
        });
        return retList;
    }

}