package com.lantone.qc.trans.changx;

import com.google.common.collect.Lists;
import com.lantone.qc.pub.model.doc.PreoperativeDiscussionDoc;
import com.lantone.qc.pub.model.keys.ModelStandardKeys;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.pub.util.ListUtil;
import com.lantone.qc.trans.ModelDocTrans;
import com.lantone.qc.trans.comsis.ModelDocGenerate;
import com.lantone.qc.trans.comsis.Preproc;

import java.util.List;
import java.util.Map;

/**
 * @Description: 术前讨论、术前小结文档生成
 * @author: rengb
 * @time: 2020/3/17 13:26
 */
public class ChangxPreoperativeDiscussionDocTrans extends ModelDocTrans {

    @Override
    public List<PreoperativeDiscussionDoc> extract(MedrecVo medrecVo) {
        List<PreoperativeDiscussionDoc> retList = Lists.newArrayList();
        List<String> contents = (List) medrecVo.getContent().get("content");
        contents.forEach(content -> {
            Map<String, String> structureMap =
                    Preproc.extract_doc_pub(
                            false,
                            ListUtil.isEmpty(medrecVo.getLabel()) ? ModelStandardKeys.preoperativeDiscussion : medrecVo.getLabel(),
                            content
                    );

            PreoperativeDiscussionDoc preoperativeDiscussionDoc = ModelDocGenerate.preoperativeDiscussionDocGen(structureMap);
            preoperativeDiscussionDoc.setText(content);
            retList.add(preoperativeDiscussionDoc);
        });
        return retList;
    }

}